Bug 1202670 - [Fedora][Project View][Regression] There should be visual clues to indicate active, readonly, and archived versions.
Summary: [Fedora][Project View][Regression] There should be visual clues to indicate a...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI   
(Show other bugs)
Version: 3.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.6
Assignee: David Mason
QA Contact: Damian Jansen
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: Zanata-3.6.1
TreeView+ depends on / blocked
 
Reported: 2015-03-17 07:52 UTC by Ding-Yi Chen
Modified: 2015-04-20 00:29 UTC (History)
5 users (show)

Fixed In Version: 3.6.1-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3077)
Doc Type: Bug Fix
Doc Text:
Story Points: 0.5
Clone Of:
Environment:
Last Closed: 2015-04-20 00:29:51 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Active, Readonly. Archived all look the same. (29.99 KB, image/png)
2015-03-17 07:58 UTC, Ding-Yi Chen
no flags Details

Description Ding-Yi Chen 2015-03-17 07:52:17 UTC
Description of problem:
In Project View, the active, readonly, and archived versions look exactly the same. 

Users cannot tell them apart, thus make project maintaining more difficult.


Version-Release number of selected component (if applicable):
Zanata 3.5.1 (git-server-3.5.1) 

How reproducible:
Always

Steps to Reproduce:
0. Login as admin
1. Create a project
2. Create an active version
3. Create a readonly version
4. Create an arcived version
5. Go to project view

Actual results:
There is no way to tell which is active, readonly, or archived
See the screenshot


Expected results:
You should be able to tell which is active, readonly, and  archived 


Additional info:

Comment 1 Ding-Yi Chen 2015-03-17 07:58:34 UTC
Created attachment 1002671 [details]
Active, Readonly. Archived all look the same.

Comment 2 Michelle Kim 2015-03-18 01:50:23 UTC
Scope of this story: 

UI changes -  to consistently display the status of each version wherever they are shown

Comment 3 David Mason 2015-03-19 03:00:23 UTC
Code changes: https://github.com/zanata/zanata-server/pull/736

Comment 4 Sean Flanigan 2015-03-24 02:31:50 UTC
See also https://github.com/zanata/zanata-server/pull/738

Comment 5 Damian Jansen 2015-03-24 04:24:19 UTC
Verified (release, master) at 0a283b990e35515070d1a80a9266066c1029d9ea


Note You need to log in before you can comment on or make changes to this bug.